org.apache.uima.adapter.jms.activemq

## Class TempDestinationResolver

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.TempDestinationResolver

- All Implemented Interfaces:
    org.springframework.jms.support.destination.DestinationResolver

      public class TempDestinationResolver
      extends Object
      implements org.springframework.jms.support.destination.DestinationResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempDestinationResolver()`
    `TempDestinationResolver(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.jms.Destination` | `resolveDestinationName(javax.jms.Session session, String destinationName, boolean pubSubDomain)` This method is called by the Spring listener code.
    `void` | `setConnectionFactory(org.apache.activemq.ActiveMQConnectionFactory aFactory)` called from Spring during initialization
    `void` | `setListener(UimaDefaultMessageListenerContainer aListener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TempDestinationResolver

          public TempDestinationResolver()

    - #### TempDestinationResolver

          public TempDestinationResolver(String name)

  - ### Method Detail

    - #### resolveDestinationName

          public javax.jms.Destination resolveDestinationName(javax.jms.Session session,
                                                              String destinationName,
                                                              boolean pubSubDomain)
                                                       throws javax.jms.JMSException

      This method is called by the Spring listener code. It creates a single temp queue for all listener instances. If the Spring listener is configured with more than one concurrentConsumer, this method will be called more than once. The temp queue is created only once and cached on the first call. Subsequent requests receive the same queue.
      Specified by:
        `resolveDestinationName` in interface `org.springframework.jms.support.destination.DestinationResolver`
      Throws:
        `javax.jms.JMSException`

    - #### setListener

          public void setListener(UimaDefaultMessageListenerContainer aListener)

    - #### setConnectionFactory

          public void setConnectionFactory(org.apache.activemq.ActiveMQConnectionFactory aFactory)

      called from Spring during initialization
      Parameters:
        `aFactory` -

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.